%define upstream_name    App-XML-DocBook-Builder
%define upstream_version 0.1100

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Translate DocBook/XML to other formats
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   docmake = %{version}-%{release}

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShouldUpdate)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
docmake is a tool to render DocBook/XML into its resultant formats using XSLT:
XHTML, XSL-FO, PDF, RTF, etc. For a brief help type docmake help .

It aims to be a replacement for xmlto.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot
# Fix the she-bang. See:
# https://wiki.mageia.org/en/Perl_policy#Executables
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc COPYING Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/docmake
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.110.0-2.mga10
+ Revision: 2216152
- Mageia 10 Mass Rebuild

* Fri Nov 04 2022 tv <tv> 0.110.0-1.mga9
+ Revision: 1902550
- update to 0.1100

* Mon Mar 21 2022 umeabot <umeabot> 0.100.0-2.mga9
+ Revision: 1813079
- Mageia 9 Mass Rebuild

* Sun Aug 16 2020 tv <tv> 0.100.0-1.mga8
+ Revision: 1614207
- update to 0.1000

* Tue May 26 2020 shlomif <shlomif> 0.90.0-1.mga8
+ Revision: 1587699
- update to 0.0900

* Tue Feb 18 2020 umeabot <umeabot> 0.80.0-2.mga8
+ Revision: 1541403
- Mageia 8 Mass Rebuild

* Thu Dec 26 2019 shlomif <shlomif> 0.80.0-1.mga8
+ Revision: 1470191
- New version 0.80.0

* Wed Feb 06 2019 shlomif <shlomif> 0.70.0-1.mga7
+ Revision: 1363568
- update to 0.0700

* Fri Oct 26 2018 tv <tv> 0.60.300-1.mga7
+ Revision: 1325653
- update to 0.0603

* Wed Oct 17 2018 shlomif <shlomif> 0.60.100-1.mga7
+ Revision: 1321436
- update to 0.0601

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-2.mga7
+ Revision: 1281674
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 0.50.0-1.mga7
+ Revision: 1258575
- New version 0.05

* Sat Jun 02 2018 shlomif <shlomif> 0.40.600-1.mga7
+ Revision: 1233655
- update to 0.0406

* Sat Jun 18 2016 pterjan <pterjan> 0.40.400-4.mga6
+ Revision: 1022560
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 shlomif <shlomif> 0.40.400-3.mga6
+ Revision: 997136
- Add a meaningful description

* Thu Mar 31 2016 shlomif <shlomif> 0.40.400-2.mga6
+ Revision: 997132
- Add provides for the executable

* Wed Feb 10 2016 shlomif <shlomif> 0.40.400-1.mga6
+ Revision: 953175
- update to 0.0404

* Mon Feb 08 2016 umeabot <umeabot> 0.40.300-5.mga6
+ Revision: 942561
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.300-4.mga5
+ Revision: 748128
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.300-3.mga5
+ Revision: 683528
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.40.300-2.mga5
+ Revision: 582035
- Permanently fix the sha-bang

* Tue Feb 04 2014 shlomif <shlomif> 0.40.300-1.mga5
+ Revision: 580981
- New version 0.0403

* Sat Oct 19 2013 umeabot <umeabot> 0.40.200-2.mga4
+ Revision: 525091
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.40.200-1.mga4
+ Revision: 432170
- update to 0.0402

* Sun Jan 13 2013 umeabot <umeabot> 0.40.100-2.mga3
+ Revision: 363085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 kharec <kharec> 0.40.100-1.mga3
+ Revision: 288905
- update to 0.0401

* Mon Jan 09 2012 shlomif <shlomif> 0.40.0-1.mga2
+ Revision: 194089
- New version - 0.0400

* Thu Dec 01 2011 shlomif <shlomif> 0.30.0-1.mga2
+ Revision: 174882
- New version - 0.0300

* Thu Dec 01 2011 shlomif <shlomif> 0.20.100-2.mga2
+ Revision: 174873
- Bump the release
- Correct the percent-files
- imported package perl-App-XML-DocBook-Builder


* Tue Aug 11 2009 cpan2dist 0.0201-1mdv
- initial mdv release, generated with cpan2dist
